Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://zeropath.com/api/v1/sca/licenses/search \ --header 'Content-Type: application/json' \ --header 'X-ZeroPath-API-Token-Id: <api-key>' \ --header 'X-ZeroPath-API-Token-Secret: <api-key>' \ --data ' { "organizationId": "<string>", "repositoryIds": [ "<string>" ] } '
{ "licenses": [ { "id": "<string>", "name": "<string>", "totalReposCount": 123, "packages": [ { "id": "<string>", "name": "<string>", "ecosystem": "<string>", "version": "<string>", "manifestPath": "<string>", "manifestStartLine": 123, "manifestEndLine": 123, "manifestStartColumn": 123, "manifestEndColumn": 123, "repositoryId": "<string>", "repositoryName": "<string>", "branch": "<string>", "commitSha": "<string>", "count": 123, "items": "<array>" } ] } ], "totalCount": 123, "nextCursor": "<string>" }
List licenses grouped with their packages for the user’s repositories.
Successful response
Show child attributes
Total licenses matching the query
Cursor for the next page, if any
Was this page helpful?